%define         pypiname          CreateCloudMap
%define         srcname           cloudmap

Name:           python-cloudmap
Version:        0.9.13
Release:        %mkrel 3

Summary:        A Python script to create a real-time cloud map for Xplanet
License:        GPLv3
Group:          Development/Python

Url:            https://pypi.org/project/CreateCloudMap
Source0:        https://pypi.io/packages/source/C/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch


%description
CreateCloudMap is a Python script to generate a world's cloud map
using satellite images from the Dundee Satellite Receiving
Station. Xplanet can use such a cloud map to make the Earth looking
like what you would see from space. Raw satellite images can be
downloaded from the Dundee Satellite Receiving Station, at Dundee
University, UK, upon registration. A new cloud map can be created
every three hours.


%package -n python3-cloudmap
Summary:        A Python3 script to create a real-time cloud map for Xplanet
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
Recommends:     xplanet

%description -n python3-cloudmap
%{summary}.




%prep
%setup -q -n %{pypiname}-%{version}
%autopatch -p1

# Remove bundled egg-info
%__rm -rf %{pypiname}.egg-info


%build
%py3_build

%install
%py3_install

%files -n python3-cloudmap
%doc cfg
%{_bindir}/create_map
%{python3_sitelib}/cloudmap
%{python3_sitelib}/%{pypiname}-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.9.13-3.mga8
+ Revision: 1535860
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.9.13-2.mga8
+ Revision: 1452781
- rebuild for python-3.8
- drop python2 subpkg

* Wed Mar 06 2019 eatdirt <eatdirt> 0.9.13-1.mga7
+ Revision: 1371867
- Upgrade to version 0.9.13

* Tue Jan 22 2019 eatdirt <eatdirt> 0.9.11-1.mga7
+ Revision: 1359143
- Upgrade to version 0.9.11

* Sat Jan 12 2019 tmb <tmb> 0.9.10-2.mga7
+ Revision: 1355174
- rebuild for python 3.7
+ shlomif <shlomif>
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.7-5.mga7
+ Revision: 1288420
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 eatdirt <eatdirt> 0.9.7-4.mga7
+ Revision: 1250040
- Fix missing Obsoletes

* Tue Aug 07 2018 eatdirt <eatdirt> 0.9.7-3.mga7
+ Revision: 1248739
- Python2 repackaging

* Sun May 13 2018 eatdirt <eatdirt> 0.9.7-2.mga7
+ Revision: 1229129
- Update URL

* Thu Mar 15 2018 eatdirt <eatdirt> 0.9.7-1.mga7
+ Revision: 1209598
- Upgrade to version 0.9.7

* Tue Oct 31 2017 eatdirt <eatdirt> 0.9.3-1.mga7
+ Revision: 1175226
- Upgrade to version 0.9.3

* Mon Oct 30 2017 eatdirt <eatdirt> 0.9.2-2.mga7
+ Revision: 1175038
- Add missing config files, fix misprint in description

* Fri Oct 27 2017 eatdirt <eatdirt> 0.9.2-1.mga7
+ Revision: 1174082
- imported package python-cloudmap

